Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.jsr223
[Java] Class GroovyCompiledScript

    java.lang.Object
      javax.script.CompiledScript
          org.codehaus.groovy.jsr223.GroovyCompiledScript

    public class GroovyCompiledScript
    extends CompiledScript

Used to represent compiled Groovy scripts. Such scripts may be executed repeatedly by Groovy's `ScriptEngine` using the `eval` method without reparsing overheads.

Authors:
  Mike Grogan
  A. Sundararajan

Constructor Summary
`GroovyCompiledScript(GroovyScriptEngineImpl engine, Class clasz)`

Method Summary
`Object` | `eval(ScriptContext context)`
`ScriptEngine` | `getEngine()`

Methods inherited from class CompiledScript
eval, eval, eval, getEngine, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### GroovyCompiledScript

    public GroovyCompiledScript(GroovyScriptEngineImpl engine, Class clasz)

Method Detail

### eval

    public Object eval(ScriptContext context)

### getEngine

    public ScriptEngine getEngine()

Copyright © 2003-2010 The Codehaus. All rights reserved.